/**
 * COPYRIGHT LICENSE: This information contains sample code provided in source code form. You may copy, modify, and distribute
 * these sample programs in any form without payment to IBM® for the purposes of developing, using, marketing or distributing
 * application programs conforming to the application programming interface for the operating platform for which the sample code is written.
 * Notwithstanding anything to the contrary, IBM PROVIDES THE SAMPLE SOURCE CODE ON AN "AS IS" BASIS AND IBM DISCLAIMS ALL WARRANTIES,
 * EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES OR CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY,
 * FITNESS FOR A PARTICULAR PURPOSE, TITLE, AND ANY WARRANTY OR CONDITION OF NON-INFRINGEMENT. IBM SHALL NOT BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR OPERATION OF THE SAMPLE SOURCE CODE.
 * IBM HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS OR MODIFICATIONS TO THE SAMPLE SOURCE CODE.
 */
#import <UIKit/UIKit.h>
// Screen changed event
#define kScreenChangedEventDefaultLevel kTLFMonitoringLevel1

@protocol TLFSavePrintScreenOperationDelegate <NSObject>
@optional
- (void)savePrintScreenOnTemporaryDirectoryOperationDidFinishSuccessfullyWithImageName:(NSString*)imageName;

@end

typedef enum {
	
	kTLFMonitoringLevelUnknown = -1,
	
	kTLFMonitoringLevel0 = 0,
	kTLFMonitoringLevel1 = 1,
	kTLFMonitoringLevel2 = 2,
	kTLFMonitoringLevel3 = 3,
	
	kTLFMonitoringLevelNotLog = kTLFMonitoringLevel0,
	
} kTLFMonitoringLevelType;

extern NSString* kTLFButtonClickEvent;
extern NSString* kTLFToggleButtonClickEvent;
extern NSString* kTLFSliderValueChangeEvent;
extern NSString* kTLFStepperValueChangeEvent;
extern NSString* kTLFSelectListValueChangeEvent;
extern NSString* kTLFDatePickerDateChangeEvent;
extern NSString* kTLFTextBoxTextChangeEvent;
extern NSString* kTLFScrollerScrollChangeEvent;
extern NSString* kTLFActionSheetButtonIndexEvent;
extern NSString* kTLFActionSheetShowEvent;
extern NSString* kTLFAlertviewButtonIndexEvent;
extern NSString* kTLFAlertViewShowEvent;
extern NSString* kTLFPrintscreenEvent;
extern NSString* kTLFCustomEventEvent;
extern NSString* kTLFExceptionEvent;
extern NSString* kTLFConnectionEvent; 
extern NSString* kTLFMobileStateEvent;

// The configurable items, needs to match with keys of "TLFResources.bundle/TLFConfigurableItems.plist" file.
#define kConfigurableItemLoggingLevel					@"LoggingLevel"
#define kConfigurableItemCachingLevel					@"CachingLevel"
#define kConfigurableItemCachedFileMaxBytesSize			@"CachedFileMaxBytesSize"
#define kConfigurableItemMaxLoggedElementsSize			@"MaxLoggedElementsSize"
#define kConfigurableItemHasToPersistLocalCache         @"HasToPersistLocalCache"
#define kConfigurableItemPostMessageLevelWifi			@"PostMessageLevelWiFi"
#define kConfigurableItemPostMessageLevelCellular		@"PostMessageLevelCellular"
#define kConfigurableItemPostMessageUrl					@"PostMessageUrl"
#define kConfigurableItemPostMessageTimeIntervals		@"PostMessageTimeIntervals"
#define kConfigurableItemPostMessageMaxBytesSize		@"PostMessageMaxBytesSize"
#define kConfigurableItemPostMessageMaxTimeToSendData	@"PostMessageMaxTimeToSendData"
#define kConfigurableItemPostMessageDelayTimeToSendData	@"PostMessageDelayTimeToSendData"
#define kConfigurableItemPostMessageSecondLevel			@"PostMessageSecondLevel"
#define kConfigurableItemDoPostOnIntervals				@"DoPostOnIntervals"
#define kConfigurableItemDoPostAppIsLaunched			@"DoPostAppIsLaunched"
#define kConfigurableItemDoPostAppGoesToBackground		@"DoPostAppGoesToBackground"
#define kConfigurableItemDoPostAppComesFromBackground	@"DoPostAppComesFromBackground"
#define kConfigurableItemKillSwitchEnabled				@"KillSwitchEnabled"
#define kConfigurableItemKillSwitchUrl					@"KillSwitchUrl"
#define kConfigurableItemKillSwitchTimeout				@"KillSwitchTimeout"
#define kConfigurableItemKillSwitchMaxNumberOfTries		@"KillSwitchMaxNumberOfTries"
#define kConfigurableItemManualPostEnabled              @"ManualPostEnabled"
#define kConfigurableItemMaxNumberOfPostsPerActivation	@"MaxNumberOfPostsPerActivation"
#define kConfigurableItemMaxNumberOfBytesPerActivation	@"MaxNumberOfBytesPerActivation"
#define kConfigurableItemDelayTimeOfTLFInitialization	@"DelayTimeOfTLFInitialization"
#define kConfigurableItemMemoryWarningMaxMemoryBytesSize @"MemoryWarningMaxMemoryBytesSize"
#define kConfigurableItemDoPostOnScreenChange			@"DoPostOnScreenChange"
#define kConfigurableItemScreenTimeNeededToPost			@"ScreenTimeNeededToPost"
#define kConfigurableItemTimeIntervalBetweenSnapshots	@"TimeIntervalBetweenSnapshots"
#define kConfigurableItemPostMessageTimeout             @"PostMessageTimeout"
#define kConfigurableItemMaxStringsLength				@"MaxStringsLength"
#define kConfigurableItemDisableAutoInstrumentation		@"DisableAutoInstrumentation"
#define kConfigurableItemCompressPostMessage            @"CompressPostMessage"
#define kConfigurableItemPercentOfScreenshotsSize       @"PercentOfScreenshotsSize"
#define kConfigurableItemDynamicConfigurationEnabled    @"DynamicConfigurationEnabled"
#define kConfigurableItemDisableTLFFrameworkFlush       @"DisableTLFFrameworkFlush"
#define kConfigurableItemScreenshotFormat               @"ScreenshotFormat"
#define kConfigurableItemJavaScriptToObjectiveCProtocol @"JavaScriptToObjectiveCProtocol"
#define kConfigurableItemJavaScriptToObjectiveCProtocolCode @"JavaScriptToObjectiveCProtocolCode"
#define kConfigurableItemFilterMessageTypes @"FilterMessageTypes"
#define kConfigurableItemMessageTypesToBeFiltered @"MessageTypesToBeFiltered"
#define kConfigurableItemSessionTimeout  @"SessionTimeout"
#define kConfigurableItemAddMessageTypeHeader  @"AddMessageTypeHeader"
#define kConfigurableItemMessageTypeHeader  @"MessageTypeHeader"

@protocol TLFLibDelegate <NSObject>
@optional
/**
 After set a delegate to your TLFApplication implement this callback to generate your custom Session ID
 */
- (NSString*)sessionIdGeneration;

@end

@protocol TLFCustomControlDelegate <NSObject>
@optional
- (BOOL)isTLFCustomControlHidden;
- (NSInteger)tagTLFCustomControl;
- (id)parentTLFCustomControl;
- (CGRect)frameTLFCustomControl;
- (UIColor*)colorTLFCustomControl;
- (UIColor*)backgroundColorTLFCustomControl;

- (NSString*)textTLFCustomControl;
- (BOOL)isTLFCustomControlTextHidden;
- (CGRect)textFrameTLFCustomControl;
- (UIColor*)textTLFCustomControlColor;
- (UIColor*)textTLFCustomControlBackgroundColor;

- (UIImage*)imageTLFCustomControl;
- (BOOL)isTLFCustomControlImageHidden;
- (CGRect)imageFrameTLFCustomControl;
- (UIColor*)imageOpacityTLFCustomControl;
- (UIColor*)imageBackgroundColorTLFCustomControl;

//- (UIImage*)controlBackgroundImageTLFCustomControl;
@end

@protocol TLFCustomControlDelegateX <NSObject>
@optional
- (NSArray*) imageViewsTLFCustomControl;
- (NSArray*) controlsTLFCustomControl;
@end
