/**
 * COPYRIGHT LICENSE: This information contains sample code provided in source code form. You may copy, modify, and distribute
 * these sample programs in any form without payment to IBM® for the purposes of developing, using, marketing or distributing
 * application programs conforming to the application programming interface for the operating platform for which the sample code is written.
 * Notwithstanding anything to the contrary, IBM PROVIDES THE SAMPLE SOURCE CODE ON AN "AS IS" BASIS AND IBM DISCLAIMS ALL WARRANTIES,
 * EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES OR CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY,
 * FITNESS FOR A PARTICULAR PURPOSE, TITLE, AND ANY WARRANTY OR CONDITION OF NON-INFRINGEMENT. IBM SHALL NOT BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR OPERATION OF THE SAMPLE SOURCE CODE.
 * IBM HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS OR MODIFICATIONS TO THE SAMPLE SOURCE CODE.
 */
#define _WLWifiAccessPoint_H_
#import <Foundation/Foundation.h>

/**
 * A WiFi access point
 */
@interface WLWifiAccessPoint : NSObject {
	@private
	NSString* ssid;
	NSString* mac;
}



/**
	 * @param SSID The access point's SSID
	 * @param MAC The access point's MAC address
	 */
- (id)initWithSSID:(NSString*)SSID MAC:(NSString*)MAC;
/**
	 * @return The access point's SSID
	 */
- (NSString*) getSSID  ;
/**
	 * @return MAC The access point's MAC address
	 */
- (NSString*) getMAC  ;
- (int) hash  ;
- (BOOL) isEqual : (NSObject*) obj ;
- (NSString*) description  ;

@end

